<html>
<head>
<title>OGRE: Ogre::CompositorInstance::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>::<a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html">Listener</a></div>
<h1>Ogre::CompositorInstance::Listener Class Reference</h1><!-- doxytag: class="Ogre::CompositorInstance::Listener" -->Provides an interface to "listen in" to to render system operations executed by this <a class="el" href="classOgre_1_1CompositorInstance.html" title="An instance of a Compositor object for one Viewport.">CompositorInstance</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositorInstance_1_1Listener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#82e8895563c0105986b247d973902e1d">~Listener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#487a34865d41776e7ff9f42b4bcf7422">notifyMaterialSetup</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> pass_id, <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscelleneous parameters that are different per <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance can be set up.  <a href="#487a34865d41776e7ff9f42b4bcf7422"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#4234db3c8711ea3f253b98b13ece8f2e">notifyMaterialRender</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> pass_id, <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied.  <a href="#4234db3c8711ea3f253b98b13ece8f2e"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Provides an interface to "listen in" to to render system operations executed by this <a class="el" href="classOgre_1_1CompositorInstance.html" title="An instance of a Compositor object for one Viewport.">CompositorInstance</a>. 
<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00050">50</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="82e8895563c0105986b247d973902e1d"></a><!-- doxytag: member="Ogre::CompositorInstance::Listener::~Listener" ref="82e8895563c0105986b247d973902e1d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::CompositorInstance::Listener::~Listener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="487a34865d41776e7ff9f42b4bcf7422"></a><!-- doxytag: member="Ogre::CompositorInstance::Listener::notifyMaterialSetup" ref="487a34865d41776e7ff9f42b4bcf7422" args="(uint32 pass_id, MaterialPtr &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorInstance::Listener::notifyMaterialSetup           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>pass_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>mat</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscelleneous parameters that are different per <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance can be set up. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pass_id</em>&nbsp;</td><td><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> identifier within <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance, this is speficied by the user by <a class="el" href="classOgre_1_1CompositionPass.html#56bb1d899a43195712944398e2d1bc65" title="Set an identifier for this pass.">CompositionPass::setIdentifier()</a>. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mat</em>&nbsp;</td><td><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>, this may be changed at will and will only affect the current instance of the <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a>, not the global material it was cloned from. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="4234db3c8711ea3f253b98b13ece8f2e"></a><!-- doxytag: member="Ogre::CompositorInstance::Listener::notifyMaterialRender" ref="4234db3c8711ea3f253b98b13ece8f2e" args="(uint32 pass_id, MaterialPtr &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorInstance::Listener::notifyMaterialRender           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>pass_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>mat</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pass_id</em>&nbsp;</td><td><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> identifier within <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance, this is speficied by the user by <a class="el" href="classOgre_1_1CompositionPass.html#56bb1d899a43195712944398e2d1bc65" title="Set an identifier for this pass.">CompositionPass::setIdentifier()</a>. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mat</em>&nbsp;</td><td><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>, this may be changed at will and will only affect the current instance of the <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a>, not the global material it was cloned from. </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:25 2008
</p>
</body>
</html>
